worker_processes 1;
events { worker_connections 1024; }

http {
    include       mime.types;
    default_type  application/octet-stream;

    # Snake game server
    server {
        listen 80;
        server_name _;

        location / {
            root /usr/share/nginx/html;
            index index.html;
        }
    }

    # Metrics for Prometheus
    server {
        listen 81;
        server_name _;

        location /nginx_status {
            stub_status;
            allow 0.0.0.0/0;  # adjust for security; or restrict to your Prometheus server
            deny all;
        }
    }
}
